org.apache.xmpbox.schema

## Class XMPRightsManagementSchema

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.schema.XMPSchema
        - - org.apache.xmpbox.schema.XMPRightsManagementSchema

    public class XMPRightsManagementSchema
    extends XMPSchema

Representation of XMP Rights Management Schema

Author:
  a183132

### Field Summary

Fields
`static String` `CERTIFICATE`
`static String` `MARKED`
`static String` `OWNER`
`static String` `USAGETERMS`
`static String` `WEBSTATEMENT`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`XMPRightsManagementSchema(XMPMetadata metadata)` Constructor of XMPRightsManagement Schema with preferred prefix
`XMPRightsManagementSchema(XMPMetadata metadata, String ownPrefix)` Constructor of XMPRightsManagement schema with specified prefix

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addOwner(String value)` Add a legal owner for the described resource.
`void` `addUsageTerms(String lang, String value)` Add an usageTerms value
`String` `getCertificate()` Return the Certificate URL as String.
`TextType` `getCertificateProperty()` Return the Certificate URL as TextType.
`Boolean` `getMarked()` Get Marked value
`BooleanType` `getMarkedProperty()` Get Marked property
`List<String>` `getOwners()` Return a String list of owner(s)
`ArrayProperty` `getOwnersProperty()` Return the Bag of owner(s)
`String` `getUsageTerms()` Get the default usage terms for the document.
`String` `getUsageTerms(String lang)` Return a language value for the UsageTerms property
`List<String>` `getUsageTermsLanguages()` Return a list of languages defined in the UsageTerms property
`ArrayProperty` `getUsageTermsProperty()` Return the Lang alt UsageTerms
`String` `getWebStatement()` Return the WebStatement URL as String.
`TextType` `getWebStatementProperty()` Return the WebStatement URL as TextType.
`void` `removeOwner(String value)`
`void` `setCertificate(String url)` Set the Certificate URL.
`void` `setCertificateProperty(URLType url)` Set the Certificate URL.
`void` `setMarked(Boolean marked)` Set Marked value
`void` `setMarkedProperty(BooleanType marked)` Set Marked property
`void` `setUsageTerms(String terms)` Set the default usage terms for this resource.
`void` `setWebStatement(String url)` Set the WebStatement url
`void` `setWebStatementProperty(URLType url)` Set the WebStatement url

### Methods inherited from class org.apache.xmpbox.schema.XMPSchema

`addBagValue, addBagValueAsSimple, addQualifiedBagValue, addSequenceDateValueAsSimple, addUnqualifiedSequenceDateValue, addUnqualifiedSequenceValue, addUnqualifiedSequenceValue, getAboutAttribute, getAboutValue, getAbstractProperty, getBooleanProperty, getBooleanPropertyValue, getBooleanPropertyValueAsSimple, getDateProperty, getDatePropertyValue, getDatePropertyValueAsSimple, getIntegerProperty, getIntegerPropertyValue, getIntegerPropertyValueAsSimple, getUnqualifiedArrayList, getUnqualifiedBagValueList, getUnqualifiedLanguagePropertyLanguagesValue, getUnqualifiedLanguagePropertyValue, getUnqualifiedSequenceDateValueList, getUnqualifiedSequenceValueList, getUnqualifiedTextProperty, getUnqualifiedTextPropertyValue, instanciateSimple, merge, removeUnqualifiedArrayValue, removeUnqualifiedBagValue, removeUnqualifiedSequenceDateValue, removeUnqualifiedSequenceValue, removeUnqualifiedSequenceValue, reorganizeAltOrder, setAbout, setAboutAsSimple, setBooleanProperty, setBooleanPropertyValue, setBooleanPropertyValueAsSimple, setDateProperty, setDatePropertyValue, setDatePropertyValueAsSimple, setIntegerProperty, setIntegerPropertyValue, setIntegerPropertyValueAsSimple, setTextProperty, setTextPropertyValue, setTextPropertyValueAsSimple, setUnqualifiedLanguagePropertyValue`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CERTIFICATE

    public static final String CERTIFICATE

See Also:
  Constant Field Values

#### MARKED

    public static final String MARKED

See Also:
  Constant Field Values

#### OWNER

    public static final String OWNER

See Also:
  Constant Field Values

#### USAGETERMS

    public static final String USAGETERMS

See Also:
  Constant Field Values

#### WEBSTATEMENT

    public static final String WEBSTATEMENT

See Also:
  Constant Field Values

### Constructor Detail

#### XMPRightsManagementSchema

    public XMPRightsManagementSchema(XMPMetadata metadata)

Constructor of XMPRightsManagement Schema with preferred prefix

Parameters:
  `metadata` - The metadata to attach this schema

#### XMPRightsManagementSchema

    public XMPRightsManagementSchema(XMPMetadata metadata,
                                     String ownPrefix)

Constructor of XMPRightsManagement schema with specified prefix

Parameters:
  `metadata` - The metadata to attach this schema
  `ownPrefix` - The prefix to assign

### Method Detail

#### addOwner

    public void addOwner(String value)

Add a legal owner for the described resource.

Parameters:
  `value` - value to add

#### removeOwner

    public void removeOwner(String value)

#### getOwnersProperty

    public ArrayProperty getOwnersProperty()

Return the Bag of owner(s)

Returns:
  owners property

#### getOwners

    public List<String> getOwners()

Return a String list of owner(s)

Returns:
  list of defined owners

#### setMarked

    public void setMarked(Boolean marked)

Set Marked value

Parameters:
  `marked` - value to add

#### setMarkedProperty

    public void setMarkedProperty(BooleanType marked)

Set Marked property

Parameters:
  `marked` - Marked property to set

#### getMarkedProperty

    public BooleanType getMarkedProperty()

Get Marked property

Returns:
  Marked property

#### getMarked

    public Boolean getMarked()

Get Marked value

Returns:
  marked value

#### addUsageTerms

    public void addUsageTerms(String lang,
                              String value)

Add an usageTerms value

Parameters:
  `lang` - concerned language
  `value` - value to set

#### setUsageTerms

    public void setUsageTerms(String terms)

Set the default usage terms for this resource.

Parameters:
  `terms` - The resource usage terms.

#### getUsageTermsProperty

    public ArrayProperty getUsageTermsProperty()

Return the Lang alt UsageTerms

Returns:
  usageterms property

#### getUsageTermsLanguages

    public List<String> getUsageTermsLanguages()
                                        throws BadFieldValueException

Return a list of languages defined in the UsageTerms property

Returns:
  list of languages defined for the UsageTerms property or null if it doesn't exist.
Throws:
  `BadFieldValueException` - If the UsageTerms property is not a multi-lingual property.

#### getUsageTerms

    public String getUsageTerms(String lang)
                         throws BadFieldValueException

Return a language value for the UsageTerms property

Parameters:
  `lang` - concerned language
Returns:
  value of specified language or null if it doesn't exist.
Throws:
  `BadFieldValueException` - If the UsageTerms property is not a multi-lingual property.

#### getUsageTerms

    public String getUsageTerms()
                         throws BadFieldValueException

Get the default usage terms for the document.

Returns:
  The terms for this resource or null if it doesn't exist.
Throws:
  `BadFieldValueException` - If the UsageTerms property is not a multi-lingual property.

#### getWebStatementProperty

    public TextType getWebStatementProperty()

Return the WebStatement URL as TextType.

Returns:
  Webstatement URL property

#### getWebStatement

    public String getWebStatement()

Return the WebStatement URL as String.

Returns:
  webStatement URL value

#### setWebStatement

    public void setWebStatement(String url)

Set the WebStatement url

Parameters:
  `url` - WebStatemen url value to set

#### setWebStatementProperty

    public void setWebStatementProperty(URLType url)

Set the WebStatement url

Parameters:
  `url` - WebStatemen url property to set

#### getCertificateProperty

    public TextType getCertificateProperty()

Return the Certificate URL as TextType.

Returns:
  certificate url property

#### getCertificate

    public String getCertificate()

Return the Certificate URL as String.

Returns:
  certificate URL value

#### setCertificate

    public void setCertificate(String url)

Set the Certificate URL.

Parameters:
  `url` - certificate url value to set

#### setCertificateProperty

    public void setCertificateProperty(URLType url)

Set the Certificate URL.

Parameters:
  `url` - certificate url property to set